Subject: bug#46972: RE : bug#46972: 28.0.50; [feature/native-comp] Emacs locks itself during native compilation because of permission denied

From: Matt M <[email-masked]>
Date: Sat, 6 Mar 2021 18:52:51 +0000

It doesn’t seem to ever end. Just to make sure I’ve tried it again 10 minutes ago.
Command is hanging and the process uses 0% cpu. I’ll let it run just in case.

I initially knew it was hanging through doom command. When you do a doom
Install it works fine, it starts with « Waiting for 2000 async process » and the number
steadily goes down to zero.

Then after that, doing doom sync again with changes will display a
« Waiting for 200 async process » and the number never moves, not even by one.
>From there I took one of the files and tried it with emacs -Q to reproduce.

De : Eli Zaretskii<mailto:[email-masked]>
Envoyé le :samedi 6 mars 2021 19:34
À : Matt M<mailto:[email-masked]>
Cc : [email-masked]<mailto:[email-masked]>
Objet :Re: bug#46972: 28.0.50; [feature/native-comp] Emacs locks itself during native compilation because of permission denied

> From: Matt M <[email-masked]>
> Date: Sat, 6 Mar 2021 17:23:34 +0000
>
> I'm on windows using latest native compilation. I noticed that when doing
> doom sync (I use Doom emacs) it would hang on the native compilation
> step. I looked at the opened emacs processes in the task manager
> during this bug to try to find a file with which I could make the bug
> trigger again. In the task manager I see that about 10 emacs processes
> are stuck on 10 files.
>
> Using this file: https://pastebin.com/z4wLheXa as
> emacs-async-comp-ox-ascii.el, I call the following command:
>
> emacs -Q --batch -l c:/Users/Matt/emacs-async-comp-ox-ascii.el
> > Compiling c:/Users/Matt/.emacs.d/.local/straight/build-28.0.50/org-mode/ox-ascii.el...
>
> It never finishes.

Does it really "never" finish, or does it just take a very long time?
How long did you wait for it to finish?